Index: /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt
===================================================================
--- /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9780)
+++ /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxt	(revision 9781)
@@ -18,7 +18,7 @@
    reloadwaittime      = 1
 
-   primaryThrust     = 30
+   primaryThrust     = 300
    auxilaryThrust    = 30
-   rotationThrust    = 10
+   rotationThrust    = 0.1
 
    lift = 1;
@@ -35,17 +35,34 @@
    collisionType     = "dynamic"
    mass              = 10000
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
+   linearDamping     = 0.1
+   angularDamping    = 0.5
   >
     <engines>
-      <MultiStateEngine position="85,58,525" template=heavycruiserengine />
-      <MultiStateEngine position="-85,58,525" template=heavycruiserengine />
+      <MultiStateEngine position="85,0,0" template=heavycruiserengine />
+      <MultiStateEngine position="-85,0,0" template=heavycruiserengine />
     </engines>
     <attached>
 
-    
+    <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
+	<attached>
+		<Model mesh="HeavyCruiser_frontR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+	</attached>
+	<collisionShapes>
+		<BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
+        	<BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
+	</collisionShapes>
+    </StaticEntity>
+    <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=1000 friction=0.01 >
+	<attached>
+		<Model mesh="HeavyCruiser_frontL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+	</attached>
+	<collisionShapes>
+        	<BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
+        	<BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/>   
+	</collisionShapes>
+    </StaticEntity>
             <Model mesh="HeavyCruiser_body.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_frontR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
-            <Model mesh="HeavyCruiser_frontL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
+            
+            
             <Model mesh="HeavyCruiser_partL.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
             <Model mesh="HeavyCruiser_partR.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
@@ -83,26 +100,91 @@
     </attached>
     <collisionShapes>
-            <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
-            <BoxCollisionShape position="-60,35,-310" halfExtents="13,28,60" info="body, bay1, Lwall"/> 
-            <BoxCollisionShape position="0,56,-310" halfExtents="65,6,60" info="body, bay1, Twall"/> 
-            <BoxCollisionShape position="0,10,-310" halfExtents="65,5,60" info="body, bay1, Bwall"/> 
-
-            <BoxCollisionShape position="0,35,45" halfExtents="90,45,310" info="body, FC"/>
-            <BoxCollisionShape position="0,-20,-60" halfExtents="60,20,65" info="body, FB"/>
-            <BoxCollisionShape position="47,-20,90" halfExtents="13,11,90" info="body, bay3, Rwall"/>
-            <BoxCollisionShape position="-47,-20,90" halfExtents="13,11,90" info="body, bay3, Lwall"/>
-            <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
-            <BoxCollisionShape position="0,-20,240" halfExtents="60,20,78" info="body, RB"/>
-            
-            <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>
-            <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>             
-            
-            <BoxCollisionShape position="76,27,440" roll="-19" halfExtents="18,38,85" info="body, bay2, Rwall"/>
-            <BoxCollisionShape position="75,71,440" roll="35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-            <BoxCollisionShape position="-76,27,440" roll="19" halfExtents="18,38,85" info="body, bay2, Lwall"/>
-            <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-            <BoxCollisionShape position="0,75,465" halfExtents="72,28,60" info="body, bay2, Twall"/> 
-            <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, Bwall"/>
-            <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>           
+        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>   
+        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>   
+
+        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>   
+        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/> 		
+
+        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>           
+        
+        <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
+        <BoxCollisionShape position="-60,35,-310" halfExtents="13,28,60" info="body, bay1, Lwall"/> 
+        <BoxCollisionShape position="0,56,-310" halfExtents="65,6,60" info="body, bay1, Twall"/> 
+        <BoxCollisionShape position="0,33,-260" halfExtents="65,28,5" info="body, bay1, Bwall"/>
+        <BoxCollisionShape position="0,10,-310" halfExtents="65,5,60" info="body, bay1, BottomWall"/>  
+
+        <BoxCollisionShape position="0,35,-125" halfExtents="83,30,130" info="body, front"/>
+	    <BoxCollisionShape position="0,6,-307" halfExtents="19,3,43" info="body, frontbottom"/>
+	    <BoxCollisionShape position="0,5,-196" halfExtents="27,3,24" info="body, dock"/>
+	    <BoxCollisionShape position="0,7,-248" pitch="25" halfExtents="63,4,12" info="body, dockF"/>
+	    <BoxCollisionShape position="70,6,-120" roll="20" halfExtents="12,6,120" info="body, dockR"/>
+	    <BoxCollisionShape position="63,-2,-180" halfExtents="3,3,60" info="body, dockR"/>
+	    <BoxCollisionShape position="-70,6,-120" roll="-20" halfExtents="12,6,120" info="body, dockL"/>
+	    <BoxCollisionShape position="-63,-2,-180" halfExtents="3,3,60" info="body, dockL"/>
+	    <BoxCollisionShape position="87,32,-63" halfExtents="4,23,50" info="body, frontCR"/>
+	    <BoxCollisionShape position="-87,32,-63" halfExtents="4,23,50" info="body, frontCL"/>
+
+	    <BoxCollisionShape position="0,72,-213" halfExtents="37,8,60" info="body, Fbridge"/>
+	    <BoxCollisionShape position="0,72,-110" halfExtents="53,11,53" info="body, Cbridge"/>
+	    <BoxCollisionShape position="0,86,-110" halfExtents="40,4,40" info="body, Cbridge"/>
+	    <BoxCollisionShape position="0,70,-60" halfExtents="65,11,30" info="body, Bbridge"/>
+	    <BoxCollisionShape position="0,84,-45" halfExtents="33,11,26" info="body, Bbridge"/>
+	    <BoxCollisionShape position="0,79,-6" pitch="10" halfExtents="32,13,17" info="body, Bbridge"/>
+	    <BoxCollisionShape position="38,67,-45" roll="50" halfExtents="16,23,25" info="body, BbridgeR"/>
+	    <BoxCollisionShape position="35,63,-17" pitch="25" yaw="-20" roll="40" halfExtents="16,23,16" info="body, BbridgeR"/>
+	    <BoxCollisionShape position="-38,67,-45" roll="-50" halfExtents="16,23,25" info="body, BbridgeL"/>
+	    <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
+
+	    <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CFL"/>
+	    <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, CL"/>
+	    <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CBTopL"/>
+	    <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CBBottomL"/>
+	    <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CFL"/>
+	    <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, CL"/>
+	    <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CBTopL"/>
+	    <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CBBottomL"/>
+	    <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CFTop"/>
+	    <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CFTop"/>
+	    <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, CTop"/>
+	    <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CBTop"/>
+
+	    <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BFTop"/>
+	    <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BFTop"/>
+	    <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BFTop"/>
+        <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BFTop"/>
+        <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BFTop"/>
+        <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BFTopR"/>
+	    <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BFTopR"/>
+	    <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BFTopL"/>
+	    <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BFTopL"/>
+        
+        <BoxCollisionShape position="0,106,381" halfExtents="36,5,71" info="body, BTop"/>
+        <BoxCollisionShape position="0,93,299" pitch="-49" halfExtents="34,5,20" info="body, BTop"/>
+        <BoxCollisionShape position="41,101,381" roll="-42" halfExtents="10,4,71" info="body, BTopR"/>
+        <BoxCollisionShape position="-41,101,381" roll="42" halfExtents="10,4,71" info="body, BTopL"/>
+
+        <BoxCollisionShape position="48,-29,400" halfExtents="5,8,58" info="body, BBottomRBeam"/>
+	    <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
+	    <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
+	    <BoxCollisionShape position="-48,-29,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
+
+	    <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
+        <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
+        <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
+        <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
+        <BoxCollisionShape position="0,-20,240" halfExtents="60,20,78" info="body, bay3, Bwall"/>
+        
+        <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>
+        <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, bay2, Lextrusion"/>             
+        
+        <BoxCollisionShape position="76,27,440" roll="-19" halfExtents="18,38,85" info="body, bay2, Rwall"/>
+        <BoxCollisionShape position="75,71,440" roll="35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
+        <BoxCollisionShape position="-76,27,440" roll="19" halfExtents="18,38,85" info="body, bay2, Lwall"/>
+        <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
+        <BoxCollisionShape position="0,75,465" halfExtents="72,28,60" info="body, bay2, Twall"/>
+        <BoxCollisionShape position="0,35,423" halfExtents="85,35,5" info="body, bay2, Fwall"/> 
+        <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, BottomWall"/>
+        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>  
+	    <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/>           
     </collisionShapes>
 <?lua
@@ -129,5 +211,5 @@
    boostfactor    = 2
 
-   speedfront     = 400
+   speedfront     = 300
    speedback      =  50
    speedleftright =  50
@@ -137,5 +219,5 @@
    defEngineSndBoost = "sounds/Engine_high.ogg"
 
-   accelerationfront     = 40
+   accelerationfront     = 100
    accelerationbrake     = 10
    accelerationback      =  10
@@ -155,6 +237,6 @@
       <Backlight mainstate=activity active=false scale=0.6 name=bltest position="85,58,525" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
       <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-85,58,525" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail30" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare130" />
-      <Backlight mainstate=activity active=false scale=0.6 name=bltest position=" 2.5, 13, 26.5" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-2.5, 13, 26.5" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="85,58,525" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.6 name=bltest position="-85,58,525" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
  </EffectContainer>
     <EffectContainer condition="boost">
Index: /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw
===================================================================
--- /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw	(revision 9780)
+++ /data/contentcreation/pps/noep/HeavyCruiser/HeavyCruiser.oxw	(revision 9781)
@@ -17,4 +17,5 @@
   include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipEscort.oxt")
+  include("templates/spaceshipTurret.oxt")
   include("templates/HeavyCruiser.oxt")
 ?>
@@ -72,25 +73,25 @@
     </attached> 
     <collisionShapes> 
-            <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
-            <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
-
-            <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
-            <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/> 
-
-            <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>   
-            <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>   
-
-            <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>   
-            <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/> 		
-
-            <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>             
-            
-            <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
-            <BoxCollisionShape position="-60,35,-310" halfExtents="13,28,60" info="body, bay1, Lwall"/> 
-            <BoxCollisionShape position="0,56,-310" halfExtents="65,6,60" info="body, bay1, Twall"/> 
-            <BoxCollisionShape position="0,33,-260" halfExtents="65,28,5" info="body, bay1, Bwall"/>
-            <BoxCollisionShape position="0,10,-310" halfExtents="65,5,60" info="body, bay1, BottomWall"/> 
-
-            <BoxCollisionShape position="0,35,-125" halfExtents="83,30,130" info="body, front"/>
+        <BoxCollisionShape position="79,33,-320" halfExtents="8,11,54" info="frontR"/>
+        <BoxCollisionShape position="79,31,-399" halfExtents="3,6,26" info="frontR"/>  
+
+        <BoxCollisionShape position="-79,33,-320" halfExtents="8,11,54" info="frontL"/>
+        <BoxCollisionShape position="-79,31,-399" halfExtents="3,6,26" info="frontL"/> 
+
+        <BoxCollisionShape position="93,33,-179" halfExtents="12,13,45" info="partR"/>   
+        <BoxCollisionShape position="93,33,-230" halfExtents="15,17,22" info="partR"/>   
+
+        <BoxCollisionShape position="-93,33,-179" halfExtents="12,13,45" info="partL"/>   
+        <BoxCollisionShape position="-93,33,-230" halfExtents="15,17,22" info="partL"/> 		
+
+        <BoxCollisionShape position="145,21,115" roll="-15" halfExtents="19,31,105" info="sidearmR"/>           
+        
+        <BoxCollisionShape position="60,35,-310" halfExtents="13,28,60" info="body, bay1, Rwall"/> 
+        <BoxCollisionShape position="-60,35,-310" halfExtents="13,28,60" info="body, bay1, Lwall"/> 
+        <BoxCollisionShape position="0,56,-310" halfExtents="65,6,60" info="body, bay1, Twall"/> 
+        <BoxCollisionShape position="0,33,-260" halfExtents="65,28,5" info="body, bay1, Bwall"/>
+        <BoxCollisionShape position="0,10,-310" halfExtents="65,5,60" info="body, bay1, BottomWall"/>  
+
+        <BoxCollisionShape position="0,35,-125" halfExtents="83,30,130" info="body, front"/>
 	    <BoxCollisionShape position="0,6,-307" halfExtents="19,3,43" info="body, frontbottom"/>
 	    <BoxCollisionShape position="0,5,-196" halfExtents="27,3,24" info="body, dock"/>
@@ -112,23 +113,57 @@
 	    <BoxCollisionShape position="35,63,-17" pitch="25" yaw="-20" roll="40" halfExtents="16,23,16" info="body, BbridgeR"/>
 	    <BoxCollisionShape position="-38,67,-45" roll="-50" halfExtents="16,23,25" info="body, BbridgeL"/>
-	    <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>	    
-
-            <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
-            <BoxCollisionShape position="47,-20,90" halfExtents="13,11,90" info="body, bay3, Rwall"/>
-            <BoxCollisionShape position="-47,-20,90" halfExtents="13,11,90" info="body, bay3, Lwall"/>
-            <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
-            <BoxCollisionShape position="0,-20,240" halfExtents="60,20,78" info="body, bay3, Bwall"/>
-            
-            <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>
-            <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>             
-            
-            <BoxCollisionShape position="76,27,440" roll="-19" halfExtents="18,38,85" info="body, bay2, Rwall"/>
-            <BoxCollisionShape position="75,71,440" roll="35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-            <BoxCollisionShape position="-76,27,440" roll="19" halfExtents="18,38,85" info="body, bay2, Lwall"/>
-            <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
-            <BoxCollisionShape position="0,75,465" halfExtents="72,28,60" info="body, bay2, Twall"/>
-	    <BoxCollisionShape position="0,35,423" halfExtents="85,35,5" info="body, bay2, Fwall"/>  
-            <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, BottomWall"/>
-            <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>
+	    <BoxCollisionShape position="-35,63,-17" pitch="25" yaw="20" roll="-40" halfExtents="16,23,16" info="body, BbridgeL"/>
+
+	    <BoxCollisionShape position="-67,18,58" roll="-22" halfExtents="13,5,53" info="body, CFL"/>
+	    <BoxCollisionShape position="-76,36,86" halfExtents="5,18,81" info="body, CL"/>
+	    <BoxCollisionShape position="-71,55,140" pitch="-4" roll="31" halfExtents="9,5,27" info="body, CBTopL"/>
+	    <BoxCollisionShape position="-62,2,140" roll="24" halfExtents="10,24,32" info="body, CBBottomL"/>
+	    <BoxCollisionShape position="67,18,58" roll="22" halfExtents="13,5,53" info="body, CFL"/>
+	    <BoxCollisionShape position="76,36,86" halfExtents="5,18,81" info="body, CL"/>
+	    <BoxCollisionShape position="71,55,140" pitch="-4" roll="-31" halfExtents="9,5,27" info="body, CBTopL"/>
+	    <BoxCollisionShape position="62,2,140" roll="-24" halfExtents="10,24,32" info="body, CBBottomL"/>
+	    <BoxCollisionShape position="0,60,12" halfExtents="81,5,11" info="body, CFTop"/>
+	    <BoxCollisionShape position="0,55,40" pitch="15" halfExtents="81,5,20" info="body, CFTop"/>
+	    <BoxCollisionShape position="0,50,85" pitch="1" halfExtents="81,5,29" info="body, CTop"/>
+	    <BoxCollisionShape position="0,59,140" pitch="-4" halfExtents="68,5,27" info="body, CBTop"/>
+
+	    <BoxCollisionShape position="0,81,238" halfExtents="26,5,59" info="body, BFTop"/>
+	    <BoxCollisionShape position="0,67,234" halfExtents="54,5,67" info="body, BFTop"/>
+	    <BoxCollisionShape position="0,77,175" pitch="-36" halfExtents="26,5,9" info="body, BFTop"/>
+        <BoxCollisionShape position="0,62,161" pitch="-30" halfExtents="56,5,10" info="body, BFTop"/>
+        <BoxCollisionShape position="0,69,162" halfExtents="16,7,10" info="body, BFTop"/>
+        <BoxCollisionShape position="31,76,238" roll="-46" halfExtents="10,3,59" info="body, BFTopR"/>
+	    <BoxCollisionShape position="64,64,234" roll="-24" halfExtents="13,3,67" info="body, BFTopR"/>
+	    <BoxCollisionShape position="-31,76,238" roll="46" halfExtents="10,3,59" info="body, BFTopL"/>
+	    <BoxCollisionShape position="-64,64,234" roll="24" halfExtents="13,3,67" info="body, BFTopL"/>
+        
+        <BoxCollisionShape position="0,106,381" halfExtents="36,5,71" info="body, BTop"/>
+        <BoxCollisionShape position="0,93,299" pitch="-49" halfExtents="34,5,20" info="body, BTop"/>
+        <BoxCollisionShape position="41,101,381" roll="-42" halfExtents="10,4,71" info="body, BTopR"/>
+        <BoxCollisionShape position="-41,101,381" roll="42" halfExtents="10,4,71" info="body, BTopL"/>
+
+        <BoxCollisionShape position="48,-29,400" halfExtents="5,8,58" info="body, BBottomRBeam"/>
+	    <BoxCollisionShape position="48,-29,451" halfExtents="10,13,14" info="body, BBottomRBeam"/>
+	    <BoxCollisionShape position="-48,-29,400" halfExtents="5,8,58" info="body, BBottomLBeam"/>
+	    <BoxCollisionShape position="-48,-29,451" halfExtents="10,13,14" info="body, BBottomLBeam"/>
+
+	    <BoxCollisionShape position="0,-15,-60" halfExtents="60,25,65" info="body, bay3, Fwall"/>
+        <BoxCollisionShape position="47,-11,90" halfExtents="13,20,90" info="body, bay3, Rwall"/>
+        <BoxCollisionShape position="-47,-11,90" halfExtents="13,20,90" info="body, bay3, Lwall"/>
+        <BoxCollisionShape position="0,-29,149" halfExtents="10,2,11" info="body, bay3, platform"/>
+        <BoxCollisionShape position="0,-20,240" halfExtents="60,20,78" info="body, bay3, Bwall"/>
+        
+        <BoxCollisionShape position="103,60,420" halfExtents="18,9,64" info="body, bay2, Rextrusion"/>
+        <BoxCollisionShape position="-103,60,420" halfExtents="18,9,64" info="body, bay2, Lextrusion"/>             
+        
+        <BoxCollisionShape position="76,27,440" roll="-19" halfExtents="18,38,85" info="body, bay2, Rwall"/>
+        <BoxCollisionShape position="75,71,440" roll="35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
+        <BoxCollisionShape position="-76,27,440" roll="19" halfExtents="18,38,85" info="body, bay2, Lwall"/>
+        <BoxCollisionShape position="-75,71,440" roll="-35" halfExtents="18,27,85" info="body, bay2, Rwall"/>             
+        <BoxCollisionShape position="0,75,465" halfExtents="72,28,60" info="body, bay2, Twall"/>
+        <BoxCollisionShape position="0,35,423" halfExtents="85,35,5" info="body, bay2, Fwall"/> 
+        <BoxCollisionShape position="0,-5,465" halfExtents="85,6,60" info="body, bay2, BottomWall"/>
+        <BoxCollisionShape position="0,78,526" halfExtents="43,17,5" info="body, bay2, Twall"/>  
+	    <BoxCollisionShape position="0,69,80" halfExtents="8,4,80" info="body, Cbeam"/>  
     </collisionShapes> 
     </StaticEntity>
@@ -137,25 +172,25 @@
     <StaticEntity position="0,-500,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01 >
     <attached> 
-            <Model position="79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontR"/>
-            <Model position="79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontR"/>  
-
-            <Model position="-79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontL"/>
-            <Model position="-79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontL"/> 
-
-            <Model position="93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partR"/>   
-            <Model position="93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partR"/>   
-
-            <Model position="-93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partL"/>   
-            <Model position="-93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partL"/> 		
-
-            <Model position="145,21,115" roll="-15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmR"/>           
-            
-            <Model position="60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Rwall"/> 
-            <Model position="-60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Lwall"/> 
-            <Model position="0,56,-310" mesh="cube.mesh" scale3D="65,6,60" info="body, bay1, Twall"/> 
-            <Model position="0,33,-260" mesh="cube.mesh" scale3D="65,28,5" info="body, bay1, Bwall"/>
-            <Model position="0,10,-310" mesh="cube.mesh" scale3D="65,5,60" info="body, bay1, BottomWall"/>  
-
-            <Model position="0,35,-125" mesh="cube.mesh" scale3D="83,30,130" info="body, front"/>
+        <!-- <Model position="79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontR"/>
+        <Model position="79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontR"/>  
+
+        <Model position="-79,33,-320" mesh="cube.mesh" scale3D="8,11,54" info="frontL"/>
+        <Model position="-79,31,-399" mesh="cube.mesh" scale3D="3,6,26" info="frontL"/> 
+
+        <Model position="93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partR"/>   
+        <Model position="93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partR"/>   
+
+        <Model position="-93,33,-179" mesh="cube.mesh" scale3D="12,13,45" info="partL"/>   
+        <Model position="-93,33,-230" mesh="cube.mesh" scale3D="15,17,22" info="partL"/> 		
+
+        <Model position="145,21,115" roll="-15" mesh="cube.mesh" scale3D="19,31,105" info="sidearmR"/>           
+        
+        <Model position="60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Rwall"/> 
+        <Model position="-60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Lwall"/> 
+        <Model position="0,56,-310" mesh="cube.mesh" scale3D="65,6,60" info="body, bay1, Twall"/> 
+        <Model position="0,33,-260" mesh="cube.mesh" scale3D="65,28,5" info="body, bay1, Bwall"/>
+        <Model position="0,10,-310" mesh="cube.mesh" scale3D="65,5,60" info="body, bay1, BottomWall"/>  
+
+        <Model position="0,35,-125" mesh="cube.mesh" scale3D="83,30,130" info="body, front"/>
 	    <Model position="0,6,-307" mesh="cube.mesh" scale3D="19,3,43" info="body, frontbottom"/>
 	    <Model position="0,5,-196" mesh="cube.mesh" scale3D="27,3,24" info="body, dock"/>
@@ -195,28 +230,39 @@
 	    <Model position="0,67,234" mesh="cube.mesh" scale3D="54,5,67" info="body, BFTop"/>
 	    <Model position="0,77,175" pitch="-36" mesh="cube.mesh" scale3D="26,5,9" info="body, BFTop"/>
+        <Model position="0,62,161" pitch="-30" mesh="cube.mesh" scale3D="56,5,10" info="body, BFTop"/>
+        <Model position="0,69,162" mesh="cube.mesh" scale3D="16,7,10" info="body, BFTop"/>
+        <Model position="31,76,238" roll="-46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopR"/>
+	    <Model position="64,64,234" roll="-24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopR"/>
 	    <Model position="-31,76,238" roll="46" mesh="cube.mesh" scale3D="10,3,59" info="body, BFTopL"/>
 	    <Model position="-64,64,234" roll="24" mesh="cube.mesh" scale3D="13,3,67" info="body, BFTopL"/>
-
+        
+        <Model position="0,106,381" mesh="cube.mesh" scale3D="36,5,71" info="body, BTop"/>
+        <Model position="0,93,299" pitch="-49" mesh="cube.mesh" scale3D="34,5,20" info="body, BTop"/>
+        <Model position="41,101,381" roll="-42" mesh="cube.mesh" scale3D="10,4,71" info="body, BTopR"/>
+        <Model position="-41,101,381" roll="42" mesh="cube.mesh" scale3D="10,4,71" info="body, BTopL"/>
+
+        <Model position="48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomRBeam"/>
+	    <Model position="48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomRBeam"/>
 	    <Model position="-48,-29,400" mesh="cube.mesh" scale3D="5,8,58" info="body, BBottomLBeam"/>
 	    <Model position="-48,-29,451" mesh="cube.mesh" scale3D="10,13,14" info="body, BBottomLBeam"/>
 
 	    <Model position="0,-15,-60" mesh="cube.mesh" scale3D="60,25,65" info="body, bay3, Fwall"/>
-            <Model position="47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Rwall"/>
-            <Model position="-47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Lwall"/>
-            <Model position="0,-29,149" mesh="cube.mesh" scale3D="10,2,11" info="body, bay3, platform"/>
-            <Model position="0,-20,240" mesh="cube.mesh" scale3D="60,20,78" info="body, bay3, Bwall"/>
-            
-            <Model position="103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Rextrusion"/>
-            <Model position="-103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Rextrusion"/>             
-            
-            <Model position="76,27,440" roll="-19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Rwall"/>
-            <Model position="75,71,440" roll="35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Rwall"/>             
-            <Model position="-76,27,440" roll="19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Lwall"/>
-            <Model position="-75,71,440" roll="-35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Rwall"/>             
-            <Model position="0,75,465" mesh="cube.mesh" scale3D="72,28,60" info="body, bay2, Twall"/>
-            <Model position="0,35,423" mesh="cube.mesh" scale3D="85,35,5" info="body, bay2, Fwall"/> 
-            <Model position="0,-5,465" mesh="cube.mesh" scale3D="85,6,60" info="body, bay2, BottomWall"/>
-            <Model position="0,78,526" mesh="cube.mesh" scale3D="43,17,5" info="body, bay2, Twall"/>  
-	    <Model position="0,69,80" mesh="cube.mesh" scale3D="8,4,80" info="body, Cbeam"/>     
+        <Model position="47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Rwall"/>
+        <Model position="-47,-11,90" mesh="cube.mesh" scale3D="13,20,90" info="body, bay3, Lwall"/>
+        <Model position="0,-29,149" mesh="cube.mesh" scale3D="10,2,11" info="body, bay3, platform"/>
+        <Model position="0,-20,240" mesh="cube.mesh" scale3D="60,20,78" info="body, bay3, Bwall"/>
+        
+        <Model position="103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Rextrusion"/>
+        <Model position="-103,60,420" mesh="cube.mesh" scale3D="18,9,64" info="body, bay2, Lextrusion"/>             
+        
+        <Model position="76,27,440" roll="-19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Rwall"/>
+        <Model position="75,71,440" roll="35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Rwall"/>             
+        <Model position="-76,27,440" roll="19" mesh="cube.mesh" scale3D="18,38,85" info="body, bay2, Lwall"/>
+        <Model position="-75,71,440" roll="-35" mesh="cube.mesh" scale3D="18,27,85" info="body, bay2, Rwall"/>             
+        <Model position="0,75,465" mesh="cube.mesh" scale3D="72,28,60" info="body, bay2, Twall"/>
+        <Model position="0,35,423" mesh="cube.mesh" scale3D="85,35,5" info="body, bay2, Fwall"/> 
+        <Model position="0,-5,465" mesh="cube.mesh" scale3D="85,6,60" info="body, bay2, BottomWall"/>
+        <Model position="0,78,526" mesh="cube.mesh" scale3D="43,17,5" info="body, bay2, Twall"/>  
+	    <Model position="0,69,80" mesh="cube.mesh" scale3D="8,4,80" info="body, Cbeam"/>      -->
     </attached> 
     <collisionShapes> 
@@ -227,7 +273,6 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
 <!--     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /> -->
-	 <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-<!--     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=HeavyCruiser /> -->
-    
+<!--	 <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />-->
+     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=HeavyCruiser /> 
   </Scene>
 </Level>
